<ComponentTemplate name="PullAll">
  <UcInOut UcNumber="-1" UcPosition="0" symbol="InOut" x="467" y="106" />
  <node symbol="Pool" x="369" y="228" color="Black" caption="" captionPos="25" activationMode="interactive" pullMode="pullall" actions="1" resourceColor="Black" startingResources="0" capacity="-1" turnPool="None" />
  <connection type="ResourceConnection" start="0" end="1" label="3" position="5" color="Black" thickness="2" />
  <UcInOut UcNumber="-1" UcPosition="1" symbol="InOut" x="225" y="106" />
  <connection type="ResourceConnection" start="3" end="1" label="5" position="5" color="Black" thickness="2" />
  <UcInOut UcNumber="-1" UcPosition="2" symbol="InOut" x="336" y="469" />
  <node symbol="Source" x="382" y="356" color="Black" caption="" captionPos="25" activationMode="passive" pullMode="pullany" actions="1" resourceColor="Black" />
  <connection type="StateConnection" start="1" end="6" label="*" position="5" color="Black" thickness="2" forwardOnly="True" />
  <connection type="ResourceConnection" start="6" end="5" label="" position="5" color="Black" thickness="2" />
</ComponentTemplate>